# MonteCarloAnisotropicBarostat Class Reference

This class uses a Monte Carlo algorithm to adjust the size of the periodic box, simulating the effect of constant pressure. More...

Inheritance diagram for MonteCarloAnisotropicBarostat:

List of all members.

## Public Member Functions

def | PressureX
| PressureX() -> string.
def | PressureY
| PressureY() -> string.
def | PressureZ
| PressureZ() -> string.
def | getDefaultPressure
| getDefaultPressure(self) -> Vec3
def | setDefaultPressure
| setDefaultPressure(self, Vec3 pressure)
def | getScaleX
| getScaleX(self) -> bool
def | getScaleY
| getScaleY(self) -> bool
def | getScaleZ
| getScaleZ(self) -> bool
def | getFrequency
| getFrequency(self) -> int
def | setFrequency
| setFrequency(self, int freq)
def | getTemperature
| getTemperature(self) -> double
def | setTemperature
| setTemperature(self, double temp)
def | getRandomNumberSeed
| getRandomNumberSeed(self) -> int
def | setRandomNumberSeed
| setRandomNumberSeed(self, int seed)
def | __init__

__init__(self, Vec3 defaultPressure, double temperature, bool scaleX = True, bool scaleY = True, bool scaleZ = True, int frequency = 25) -> MonteCarloAnisotropicBarostat __init__(self, Vec3 defaultPressure, double temperature, bool scaleX = True, bool scaleY = True, bool scaleZ = True) -> MonteCarloAnisotropicBarostat __init__(self, Vec3 defaultPressure, double temperature, bool scaleX = True, bool scaleY = True) -> MonteCarloAnisotropicBarostat __init__(self, Vec3 defaultPressure, double temperature, bool scaleX = True) -> MonteCarloAnisotropicBarostat __init__(self, Vec3 defaultPressure, double temperature) -> MonteCarloAnisotropicBarostat __init__(self, MonteCarloAnisotropicBarostat other) -> MonteCarloAnisotropicBarostat

def | __del__
| __del__(self)

## Public Attributes

| this

## Detailed Description

This class uses a Monte Carlo algorithm to adjust the size of the periodic box, simulating the effect of constant pressure.

This class is similar to MonteCarloBarostat, but each Monte Carlo move is applied to only one axis of the periodic box (unlike MonteCarloBarostat, which scales the entire box isotropically). This means that the box may change shape as well as size over the course of the simulation. It also allows you to specify a different pressure for each axis of the box, or to keep the box size fixed along certain axes while still allowing it to change along others.

This class assumes the simulation is also being run at constant temperature, and requires you to specify the system temperature (since it affects the acceptance probability for Monte Carlo moves). It does not actually perform temperature regulation, however. You must use another mechanism along with it to maintain the temperature, such as LangevinIntegrator or AndersenThermostat.

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self, Vec3 defaultPressure, double temperature, bool scaleX = True, bool scaleY = True, bool scaleZ = True, int frequency = 25) -> MonteCarloAnisotropicBarostat __init__(self, Vec3 defaultPressure, double temperature, bool scaleX = True, bool scaleY = True, bool scaleZ = True) -> MonteCarloAnisotropicBarostat __init__(self, Vec3 defaultPressure, double temperature, bool scaleX = True, bool scaleY = True) -> MonteCarloAnisotropicBarostat __init__(self, Vec3 defaultPressure, double temperature, bool scaleX = True) -> MonteCarloAnisotropicBarostat __init__(self, Vec3 defaultPressure, double temperature) -> MonteCarloAnisotropicBarostat __init__(self, MonteCarloAnisotropicBarostat other) -> MonteCarloAnisotropicBarostat

Create a MonteCarloAnisotropicBarostat.

Parameters:

  | defaultPressure | The default pressure acting on each axis (in bar)
  | temperature | the temperature at which the system is being maintained (in Kelvin)
  | scaleX | whether to allow the X dimension of the periodic box to change size
  | scaleY | whether to allow the Y dimension of the periodic box to change size
  | scaleZ | whether to allow the Z dimension of the periodic box to change size
  | frequency | the frequency at which Monte Carlo pressure changes should be attempted (in time steps)

def getDefaultPressure | ( |  | self | ) |

getDefaultPressure(self) -> Vec3

Get the default pressure (in bar).

def getFrequency | ( |  | self | ) |

getFrequency(self) -> int

Get the frequency (in time steps) at which Monte Carlo pressure changes should be attempted. If this is set to 0, the barostat is disabled.

def getRandomNumberSeed | ( |  | self | ) |

getRandomNumberSeed(self) -> int

Get the random number seed. See setRandomNumberSeed() for details.

def getScaleX | ( |  | self | ) |

getScaleX(self) -> bool

Get whether to allow the X dimension of the periodic box to change size.

def getScaleY | ( |  | self | ) |

getScaleY(self) -> bool

Get whether to allow the Y dimension of the periodic box to change size.

def getScaleZ | ( |  | self | ) |

getScaleZ(self) -> bool

Get whether to allow the Z dimension of the periodic box to change size.

def getTemperature | ( |  | self | ) |

getTemperature(self) -> double

Get the temperature at which the system is being maintained, measured in Kelvin.

def PressureX | ( |  | ) |

PressureX() -> string.

This is the name of the parameter which stores the current pressure acting on the X-axis (in bar).

def PressureY | ( |  | ) |

PressureY() -> string.

This is the name of the parameter which stores the current pressure acting on the Y-axis (in bar).

def PressureZ | ( |  | ) |

PressureZ() -> string.

This is the name of the parameter which stores the current pressure acting on the Z-axis (in bar).

def setDefaultPressure | ( |  | self,
|  |  | args |
| ) |  |  |

setDefaultPressure(self, Vec3 pressure)

Set the default pressure acting on the system. This will affect any new Contexts you create, but not ones that already exist.

Parameters:

  | pressure | the default pressure acting on the system, measured in bar.

def setFrequency | ( |  | self,
|  |  | args |
| ) |  |  |

setFrequency(self, int freq)

Set the frequency (in time steps) at which Monte Carlo pressure changes should be attempted. If this is set to 0, the barostat is disabled.

def setRandomNumberSeed | ( |  | self,
|  |  | args |
| ) |  |  |

setRandomNumberSeed(self, int seed)

Set the random number seed. It is guaranteed that if two simulations are run with different random number seeds, the sequence of Monte Carlo steps will be different. On the other hand, no guarantees are made about the behavior of simulations that use the same seed. In particular, Platforms are permitted to use non-deterministic algorithms which produce different results on successive runs, even if those runs were initialized identically.

def setTemperature | ( |  | self,
|  |  | args |
| ) |  |  |

setTemperature(self, double temp)

Set the temperature at which the system is being maintained.

Parameters:

  | temp | the system temperature, measured in Kelvin.

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py